This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 4 failed / 19 succeeded
Started2020-10-20 17:01
Elapsed26m33s
Revision
Builderd0f2cd41-12f5-11eb-a3cf-6ef374375bd7
infra-commitf17a87326
job-versionv1.17.14-rc.0.7+a70c45e3b1926e
master_os_imagecos-77-12371-175-0
node_os_imagegke-1134-gke-rc5-cos-69-10895-138-0-v190320-pre-nvda-gpu
revisionv1.17.14-rc.0.7+a70c45e3b1926e

Test Failures


GPU master upgrade [sig-node] gpu-master-upgrade 4m37s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=GPU\smaster\supgrade\s\[sig\-node\]\sgpu\-master\-upgrade$'
Oct 20 17:17:44.105: Unexpected error:
    <*errors.errorString | 0xc001894080>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.18.11-rc.0.7+c194df43db09e4]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-1fp9\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-5bc1\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-lwtl\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.18.11-rc.0.7+c194df43db09e4/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n..........................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Applying the latest default CoreDNS configuration ==\\nserviceaccount/coredns unchanged\\nclusterrole.rbac.authorization.k8s.io/system:coredns unchanged\\nclusterrolebinding.rbac.authorization.k8s.io/system:coredns configured\\nconfigmap/coredns configured\\ndeployment.apps/coredns unchanged\\nservice/kube-dns unchanged\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE   VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   10m   v1.18.11-rc.0.7+c194df43db09e4\\nbootstrap-e2e-minion-group-1fp9   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\\nbootstrap-e2e-minion-group-5bc1   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\\nbootstrap-e2e-minion-group-lwtl   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\\nValidate output:\\nNAME                 STATUS    MESSAGE             ERROR\\netcd-1               Healthy   {\\\"health\\\":\\\"true\\\"}   \\ncontroller-manager   Healthy   ok                  \\nscheduler            Healthy   ok                  \\netcd-0               Healthy   {\\\"health\\\":\\\"true\\\"}   \\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\nname: \\\"bootstrap-e2e-minion-group-1fp9\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-5bc1\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-lwtl\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\n\", stderr \"Project: k8s-jkns-e2e-gce-plugin-gpus\\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-1fp9 bootstrap-e2e-minion-group-5bc1 bootstrap-e2e-minion-group-lwtl\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 35.227.138.206; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-77-12371-175-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-77-12371-183-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP     STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.227.138.206  RUNNING\\nWarning: Permanently added 'compute.7262373019155342793' (ED25519) to the list of known hosts.\\r\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-jkns-e2e-gce-plugin-gpus\\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\\nZone: us-west1-b\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.18.11-rc.0.7+c194df43db09e4]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-1fp9\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-5bc1\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-lwtl\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.18.11-rc.0.7+c194df43db09e4/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n..........................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Applying the latest default CoreDNS configuration ==\nserviceaccount/coredns unchanged\nclusterrole.rbac.authorization.k8s.io/system:coredns unchanged\nclusterrolebinding.rbac.authorization.k8s.io/system:coredns configured\nconfigmap/coredns configured\ndeployment.apps/coredns unchanged\nservice/kube-dns unchanged\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE   VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   10m   v1.18.11-rc.0.7+c194df43db09e4\nbootstrap-e2e-minion-group-1fp9   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\nbootstrap-e2e-minion-group-5bc1   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\nbootstrap-e2e-minion-group-lwtl   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\nValidate output:\nNAME                 STATUS    MESSAGE             ERROR\netcd-1               Healthy   {\"health\":\"true\"}   \ncontroller-manager   Healthy   ok                  \nscheduler            Healthy   ok                  \netcd-0               Healthy   {\"health\":\"true\"}   \n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\nname: \"bootstrap-e2e-minion-group-1fp9\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-5bc1\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-lwtl\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\n", stderr "Project: k8s-jkns-e2e-gce-plugin-gpus\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-1fp9 bootstrap-e2e-minion-group-5bc1 bootstrap-e2e-minion-group-lwtl\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 35.227.138.206; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-77-12371-175-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-77-12371-183-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP     STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.227.138.206  RUNNING\nWarning: Permanently added 'compute.7262373019155342793' (ED25519) to the list of known hosts.\r\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-jkns-e2e-gce-plugin-gpus\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\nZone: us-west1-b\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\n"
occurred

k8s.io/kubernetes/test/e2e/cloud/gcp.glob..func5.1.1.1()
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/cloud/gcp/cluster_upgrade.go:234 +0x12f
k8s.io/kubernetes/test/e2e/chaosmonkey.(*Chaosmonkey).Do(0xc0011051e8)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/chaosmonkey/chaosmonkey.go:111 +0x38a
k8s.io/kubernetes/test/e2e/cloud/gcp.runUpgradeSuite(0xc000d8adc0, 0x79805c0, 0x1, 0x1, 0xc000d4d6e0, 0xc0033ee5a0, 0x0, 0xc003410fc0)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/cloud/gcp/cluster_upgrade.go:485 +0x47a
k8s.io/kubernetes/test/e2e/cloud/gcp.glob..func5.1.1()
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/cloud/gcp/cluster_upgrade.go:237 +0x222
k8s.io/kubernetes/test/e2e.RunE2ETests(0xc00264a100)
	_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/e2e.go:125 +0x324
k8s.io/kubernetes/test/e2e.TestE2E(0xc00264a100)
	_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/e2e_test.go:111 +0x2b
testing.tRunner(0xc00264a100, 0x4af5d58)
	/usr/local/go/src/testing/testing.go:909 +0xc9
created by testing.(*T).Run
	/usr/local/go/src/testing/testing.go:960 +0x350
				from junit_upgradeupgrades.xml

Filter through log files | View test history on testgrid


GPU master upgrade nvidia-gpu-upgrade [sig-node] [sig-scheduling] 9m27s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=GPU\smaster\supgrade\snvidia\-gpu\-upgrade\s\[sig\-node\]\s\[sig\-scheduling\]$'
Oct 20 17:17:44.365: Job pods failed during master upgrade: 0
Expected
    <int32>: 0
to equal
    <int>: 0

k8s.io/kubernetes/test/e2e/upgrades.(*NvidiaGPUUpgradeTest).Test(0x7b5d920, 0xc000d8af20, 0xc002e1fa40, 0x0)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/upgrades/nvidia-gpu.go:56 +0x1d2
k8s.io/kubernetes/test/e2e/cloud/gcp.(*chaosMonkeyAdapter).Test(0xc0030f3680, 0xc003368a00)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/cloud/gcp/cluster_upgrade.go:400 +0x369
k8s.io/kubernetes/test/e2e/chaosmonkey.(*Chaosmonkey).Do.func1(0xc003368a00, 0xc0032baae0)
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/chaosmonkey/chaosmonkey.go:90 +0x93
created by k8s.io/kubernetes/test/e2e/chaosmonkey.(*Chaosmonkey).Do
	/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/chaosmonkey/chaosmonkey.go:87 +0xab
				from junit_upgradeupgrades.xml

Filter through log files | View test history on testgrid


Kubernetes e2e suite [k8s.io] [sig-cloud-provider-gcp] gpu Upgrade [Feature:GPUUpgrade] master upgrade should NOT disrupt gpu pod [Feature:GPUMasterUpgrade] 9m33s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=Kubernetes\se2e\ssuite\s\[k8s\.io\]\s\[sig\-cloud\-provider\-gcp\]\sgpu\sUpgrade\s\[Feature\:GPUUpgrade\]\smaster\supgrade\sshould\sNOT\sdisrupt\sgpu\spod\s\[Feature\:GPUMasterUpgrade\]$'
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/cloud/gcp/cluster_upgrade.go:223
Oct 20 17:17:44.105: Unexpected error:
    <*errors.errorString | 0xc001894080>: {
        s: "error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.18.11-rc.0.7+c194df43db09e4]; got error exit status 1, stdout \"Fetching the previously installed CoreDNS version\\n\\n***WARNING***\\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\\nbefore running this script:\\n\\n# example: pin to etcd v3.0.17\\nexport ETCD_IMAGE=3.0.17\\nexport ETCD_VERSION=3.0.17\\n\\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\\n\\n== Pre-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-1fp9\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-5bc1\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-lwtl\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.18.11-rc.0.7+c194df43db09e4/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\\n== Upgrading master environment variables. ==\\n== Waiting for new master to respond to API requests ==\\n..........................== Done ==\\nWaiting for CoreDNS to update\\nFetching the latest installed CoreDNS version\\n== Downloading the CoreDNS migration tool ==\\n== Applying the latest default CoreDNS configuration ==\\nserviceaccount/coredns unchanged\\nclusterrole.rbac.authorization.k8s.io/system:coredns unchanged\\nclusterrolebinding.rbac.authorization.k8s.io/system:coredns configured\\nconfigmap/coredns configured\\ndeployment.apps/coredns unchanged\\nservice/kube-dns unchanged\\n== The CoreDNS Config has been updated ==\\n== Validating cluster post-upgrade ==\\nValidating gce cluster, MULTIZONE=\\nFound 4 node(s).\\nNAME                              STATUS                     ROLES    AGE   VERSION\\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   10m   v1.18.11-rc.0.7+c194df43db09e4\\nbootstrap-e2e-minion-group-1fp9   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\\nbootstrap-e2e-minion-group-5bc1   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\\nbootstrap-e2e-minion-group-lwtl   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\\nValidate output:\\nNAME                 STATUS    MESSAGE             ERROR\\netcd-1               Healthy   {\\\"health\\\":\\\"true\\\"}   \\ncontroller-manager   Healthy   ok                  \\nscheduler            Healthy   ok                  \\netcd-0               Healthy   {\\\"health\\\":\\\"true\\\"}   \\n\\x1b[0;32mCluster validation succeeded\\x1b[0m\\n== Post-Upgrade Node OS and Kubelet Versions ==\\nname: \\\"bootstrap-e2e-master\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.18.11-rc.0.7+c194df43db09e4\\\"\\nname: \\\"bootstrap-e2e-minion-group-1fp9\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-5bc1\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\nname: \\\"bootstrap-e2e-minion-group-lwtl\\\", osImage: \\\"Container-Optimized OS from Google\\\", kubeletVersion: \\\"v1.17.14-rc.0.7+a70c45e3b1926e\\\"\\n\", stderr \"Project: k8s-jkns-e2e-gce-plugin-gpus\\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\\nZone: us-west1-b\\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\\nNODE_NAMES=bootstrap-e2e-minion-group-1fp9 bootstrap-e2e-minion-group-5bc1 bootstrap-e2e-minion-group-lwtl\\nTrying to find master named 'bootstrap-e2e-master'\\nLooking for address 'bootstrap-e2e-master-ip'\\nUsing master: bootstrap-e2e-master (external IP: 35.227.138.206; internal IP: (not set))\\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\\nWARNING: Some requests generated warnings:\\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\\n - The resource 'projects/cos-cloud/global/images/cos-77-12371-175-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-77-12371-183-0'.\\n\\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP     STATUS\\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.227.138.206  RUNNING\\nWarning: Permanently added 'compute.7262373019155342793' (ED25519) to the list of known hosts.\\r\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\\nProject: k8s-jkns-e2e-gce-plugin-gpus\\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\\nZone: us-west1-b\\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\\n\"",
    }
    error running /workspace/kubernetes_skew/cluster/gce/upgrade.sh [-M v1.18.11-rc.0.7+c194df43db09e4]; got error exit status 1, stdout "Fetching the previously installed CoreDNS version\n\n***WARNING***\nUpgrading Kubernetes with this script might result in an upgrade to a new etcd version.\nSome etcd version upgrades, such as 3.0.x to 3.1.x, DO NOT offer a downgrade path.\nTo pin the etcd version to your current one (e.g. v3.0.17), set the following variables\nbefore running this script:\n\n# example: pin to etcd v3.0.17\nexport ETCD_IMAGE=3.0.17\nexport ETCD_VERSION=3.0.17\n\nAlternatively, if you choose to allow an etcd upgrade that doesn't support downgrade,\nyou might still be able to downgrade Kubernetes by pinning to the newer etcd version.\nIn all cases, it is strongly recommended to have an etcd backup before upgrading.\n\n== Pre-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-1fp9\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-5bc1\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-lwtl\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nFound subnet for region us-west1 in network bootstrap-e2e: bootstrap-e2e\n== Upgrading master to 'https://storage.googleapis.com/kubernetes-release-dev/ci/v1.18.11-rc.0.7+c194df43db09e4/kubernetes-server-linux-amd64.tar.gz'. Do not interrupt, deleting master instance. ==\n== Upgrading master environment variables. ==\n== Waiting for new master to respond to API requests ==\n..........................== Done ==\nWaiting for CoreDNS to update\nFetching the latest installed CoreDNS version\n== Downloading the CoreDNS migration tool ==\n== Applying the latest default CoreDNS configuration ==\nserviceaccount/coredns unchanged\nclusterrole.rbac.authorization.k8s.io/system:coredns unchanged\nclusterrolebinding.rbac.authorization.k8s.io/system:coredns configured\nconfigmap/coredns configured\ndeployment.apps/coredns unchanged\nservice/kube-dns unchanged\n== The CoreDNS Config has been updated ==\n== Validating cluster post-upgrade ==\nValidating gce cluster, MULTIZONE=\nFound 4 node(s).\nNAME                              STATUS                     ROLES    AGE   VERSION\nbootstrap-e2e-master              Ready,SchedulingDisabled   <none>   10m   v1.18.11-rc.0.7+c194df43db09e4\nbootstrap-e2e-minion-group-1fp9   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\nbootstrap-e2e-minion-group-5bc1   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\nbootstrap-e2e-minion-group-lwtl   Ready                      <none>   10m   v1.17.14-rc.0.7+a70c45e3b1926e\nValidate output:\nNAME                 STATUS    MESSAGE             ERROR\netcd-1               Healthy   {\"health\":\"true\"}   \ncontroller-manager   Healthy   ok                  \nscheduler            Healthy   ok                  \netcd-0               Healthy   {\"health\":\"true\"}   \n\x1b[0;32mCluster validation succeeded\x1b[0m\n== Post-Upgrade Node OS and Kubelet Versions ==\nname: \"bootstrap-e2e-master\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.18.11-rc.0.7+c194df43db09e4\"\nname: \"bootstrap-e2e-minion-group-1fp9\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-5bc1\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\nname: \"bootstrap-e2e-minion-group-lwtl\", osImage: \"Container-Optimized OS from Google\", kubeletVersion: \"v1.17.14-rc.0.7+a70c45e3b1926e\"\n", stderr "Project: k8s-jkns-e2e-gce-plugin-gpus\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\nZone: us-west1-b\nINSTANCE_GROUPS=bootstrap-e2e-minion-group\nNODE_NAMES=bootstrap-e2e-minion-group-1fp9 bootstrap-e2e-minion-group-5bc1 bootstrap-e2e-minion-group-lwtl\nTrying to find master named 'bootstrap-e2e-master'\nLooking for address 'bootstrap-e2e-master-ip'\nUsing master: bootstrap-e2e-master (external IP: 35.227.138.206; internal IP: (not set))\nDeleted [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: You have selected a disk size of under [200GB]. This may result in poor I/O performance. For more information, see: https://developers.google.com/compute/docs/disks#performance.\nCreated [https://www.googleapis.com/compute/v1/projects/k8s-jkns-e2e-gce-plugin-gpus/zones/us-west1-b/instances/bootstrap-e2e-master].\nWARNING: Some requests generated warnings:\n - Disk size: '20 GB' is larger than image size: '10 GB'. You might need to resize the root repartition manually if the operating system does not support automatic resizing. See https://cloud.google.com/compute/docs/disks/add-persistent-disk#resize_pd for details.\n - The resource 'projects/cos-cloud/global/images/cos-77-12371-175-0' is deprecated. A suggested replacement is 'projects/cos-cloud/global/images/cos-77-12371-183-0'.\n\nNAME                  ZONE        MACHINE_TYPE   PREEMPTIBLE  INTERNAL_IP  EXTERNAL_IP     STATUS\nbootstrap-e2e-master  us-west1-b  n1-standard-1               10.138.0.6   35.227.138.206  RUNNING\nWarning: Permanently added 'compute.7262373019155342793' (ED25519) to the list of known hosts.\r\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nWarning: kubectl apply should be used on resource created by either kubectl create --save-config or kubectl apply\nProject: k8s-jkns-e2e-gce-plugin-gpus\nNetwork Project: k8s-jkns-e2e-gce-plugin-gpus\nZone: us-west1-b\n/workspace/kubernetes_skew/cluster/gce/upgrade.sh: line 452: download_dir: unbound variable\n"
occurred
/go/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/cloud/gcp/cluster_upgrade.go:234
				
				Click to see stdout/stderrfrom junit_upgrade01.xml

Filter through log files | View test history on testgrid


UpgradeTest 10m2s

error during kubetest --test --test_args=--ginkgo.focus=\[Feature:GPUMasterUpgrade\] --upgrade-target=ci/k8s-stable1 --upgrade-image=gci --report-dir=/workspace/_artifacts --disable-log-dump=true --report-prefix=upgrade --check-version-skew=false: exit status 1
				from junit_runner.xml

Filter through log files | View test history on testgrid


Show 19 Passed Tests

Show 9837 Skipped Tests